components:
    schemas:
      Customer:
        type: object
        properties:
          id:
            type: string
          name:
            type: string
          document:
            type: string
          phone:
            type: number
          contractNumber:
            type: number
          contractDate:
            type: date
          contractValue:
            type: number
          contractStatus:
            type: string
            enum: ['paid', 'on_time', 'overdue']
          action:
            type: string
            enum: ['thank_payment', 'cancel_contract', 'bill']
        example:
            name: Cliente Lorem
            document: 47166817822
            phone: 12996630922
            contractNumber: 12
            contractDate: "1999-04-03T03:00:00.000Z"
            contractValue: 12020
            contractStatus: paid
            action: bill
            id: 62f59b565dffe43ae7ff0c83
      Error:
        type: object
        properties:
          code:
            type: number
          message:
            type: string
    responses:
      NotFound:
        description: Not found
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Error'
            example:
              code: 404
              message: Customer not found